mas:
  exchange-onprem:
    access:
      #uri: https://mail.example.org/EWS/Exchange.asmx # URI of the EWS API
      #username: sample@example.org # BASIC AUTH - Username of impersonation user
      #password: ENC(xxxxxxxxxxxxxxxxxxxxx) # BASIC AUTH - Password of impersonation user. Example shows format of encrypted value
      #authority: https://login.microsoftonline.com/MYTENANTID/ # OAUTH authority to obtain token
      #scope: https://mail.example.org/.default # OAUTH scope when requesting token 
      #client-id: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxx # OAUTH client-id to obtain token
      #client-certificate: | # OAUTH certificate, paste in block format below
        #-----BEGIN CERTIFICATE-----
        #... certificate here
        #-----END CERTIFICATE-----
      #client-private-key: | # OAUTH private-key, paste in block format below
        #-----BEGIN PRIVATE KEY-----
        #... private-key here
        #-----END PRIVATE KEY-----
      #technical-user: sample@example.org # OAUTH technical user for impersonation
      version: Exchange2010_SP2 # Use default Exchange2010_SP2 for Exchange Server 2019+
  onprem-mailbox-related-storage:
    folder-name-config:
      #domains: test.org, testorg.onmicrosoft.com # Exchange on-premise domains to limit mail address resolution. If left empty no domain restrictions are applied
      property: USERNAME #Other values: LAST_NAME FIRST_NAME DISPLAY_NAME #Property to control naming of user folders for enaio link documents.  
  exchange-online:
    access:
      #client-id: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxx # Take from application configuration in Azure portal
      #tenant-id: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxx # Take from application configuration in Azure portal
      #secret: ENC(xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx) # Take from application configuration in Azure portal. Example shows format of encrypted value
  mailbox-related-storage:
    folder-name-config:
      #domains: test.org, testorg.onmicrosoft.com # Exchange online domains to limit mail address resolution. If left empty no domain restrictions are applied
      property: USERNAME #Other values: LAST_NAME FIRST_NAME DISPLAY_NAME #Property to control naming of user folders for enaio link documents.